Name:           gfs2-utils
Version:        3.5.1
Release:        2
Summary:        Utilities for managing the global file system (GFS2）

License:        GPLv2+ and LGPLv2+
URL:            https://pagure.io/gfs2-utils
Source0:        https://releases.pagure.org/gfs2-utils/gfs2-utils-%{version}.tar.gz
Patch0:         Add-rpm-make-rule-for-testing.patch

BuildRequires:  ncurses-devel kernel-headers automake libtool zlib-devel gettext-devel
BuildRequires:  bison flex libblkid-devel libuuid-devel check-devel bzip2-devel make

%description
The gfs2-utils package contains a number of utilities for creating, checking,
modifying, and correcting inconsistencies in GFS2 file systems.

%package_help

%prep
%autosetup -p1

%build
./autogen.sh
%configure
%make_build

%check
make check || { cat tests/testsuite.log; exit 1; }

%install
%make_install
rm -f %{buildroot}/usr/sbin/gfs2_trace
rm -f %{buildroot}/usr/sbin/gfs2_lockcapture
rm -f %{buildroot}%{_mandir}/man8/gfs2_trace.8
rm -f %{buildroot}%{_mandir}/man8/gfs2_lockcapture.8
rm -f %{buildroot}%{_defaultdocdir}/gfs2-utils/COPYING.*
rm -f %{buildroot}%{_defaultdocdir}/gfs2-utils/COPYRIGHT
rm -f %{buildroot}%{_defaultdocdir}/gfs2-utils/README.licence

%files
%license doc/COPYING.* doc/COPYRIGHT doc/README.licence
%doc doc/*.txt doc/README.contributing
%{_sbindir}/gfs2*
%{_sbindir}/*.gfs2
%{_sbindir}/tunegfs2
%{_sbindir}/glocktop
%{_libexecdir}/gfs2_withdraw_helper
%{_prefix}/lib/udev/rules.d/82-gfs2-withdraw.rules

%files help
%doc doc/*.txt doc/README.contributing
%{_mandir}/man8/*gfs2*
%{_mandir}/man8/glocktop*
%{_mandir}/man5/*


%changelog
* Tue Feb 27 2024 zouzhimin <zouzhimin@kylinos.cn> - 3.5.1-2
- Add rpm make rule for testing

* Tue Oct 10 2023 Ge Wang <wang__ge@126.com> - 3.5.1-1
- Update to version 3.5.1

* Mon Jan 9 2023 yaoguangzhong <yaoguangzhong@xfusion.com> - 3.4.1-4
- backport gfs2_jadd: don't fsync after each block written

* Sat Jan 7 2023 yaoguangzhong <yaoguangzhong@xfusion.com> - 3.4.1-3
- backport gfs2_jadd: Use fallocate to preallocate journals

* Thu Apr 07 2022 wangkai <wangkai@h-partners.com> - 3.4.1-2
- fix build error

* Mon Dec 27 2021 wangyangli <wangyangli@kylinos.cn> - 3.4.1-1
- upgrade to 3.4.1

* Tue Jan 21 2020 daiqianwen <daiqianwen@huawei.com> - 3.2.0-5
- Type:bugfix
- ID:NA
- SUG:NA
- DESC: modify spec

* Sat Nov 23 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.2.0-4
- Package Init
